Crazy Eddies GUI System: CEGUI::MouseCursor Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# CEGUI::MouseCursor Class Reference

Class that allows access to the GUI system mouse cursor. More...

Inheritance diagram for CEGUI::MouseCursor:

[legend]
Collaboration diagram for CEGUI::MouseCursor:

[legend]
List of all members.

## Public Member Functions
| MouseCursor (void)
| Constructor for MouseCursor objects.
| ~MouseCursor (void)
| Destructor for MouseCursor objects.
void | setImage (const String &imageset, const String &image_name)
| Set the current mouse cursor image.
void | setImage (const Image *image)
| Set the current mouse cursor image.
const Image * | getImage (void) const
| Get the current mouse cursor image.
void | draw (void) const
| Makes the cursor draw itself.
void | setPosition (const Point &position)
| Set the current mouse cursor position.
void | offsetPosition (const Point &offset)
| Offset the mouse cursor position by the deltas specified in offset.
void | setConstraintArea (const Rect *area)
| Set the area that the mouse cursor is constrained to.
void | setUnifiedConstraintArea (const URect *area)
| Set the area that the mouse cursor is constrained to.
void | hide (void)
| Hides the mouse cursor.
void | show (void)
| Shows the mouse cursor.
bool | isVisible (void) const
| return whether the mouse cursor is visible.
Point | getPosition (void) const
| Return the current mouse cursor position as a pixel offset from the top-left corner of the display.
Rect | getConstraintArea (void) const
| return the current constraint area of the mouse cursor.
const URect & | getUnifiedConstraintArea (void) const
| return the current constraint area of the mouse cursor.
Point | getDisplayIndependantPosition (void) const
| Return the current mouse cursor position as display resolution independant values.
## Static Public Member Functions
static MouseCursor & | getSingleton (void)
| Return singleton MouseCursor object.
static MouseCursor * | getSingletonPtr (void)
| Return pointer to singleton MouseCursor object.
## Static Public Attributes
static const String | EventNamespace
| Namespace for global events.
static const String | EventImageChanged
| The cursor image of the widget has changed.
## Protected Member Functions
virtual void | onImageChanged (MouseCursorEventArgs &e)
| event triggered internally when image of mouse cursor changes
void | addMouseCursorEvents (void)
| Add mouse cursor specific events.

## Detailed Description

Class that allows access to the GUI system mouse cursor.

The MouseCursor provides functionality to access the position and imagery of the mouse cursor / pointer

## Member Function Documentation

void CEGUI::MouseCursor::draw | ( | void |  | ) | const

| Makes the cursor draw itself. Returns: Nothing

Rect CEGUI::MouseCursor::getConstraintArea | ( | void |  | ) | const

| return the current constraint area of the mouse cursor. Returns: Rect object describing the active area that the mouse cursor is constrained to.

Point CEGUI::MouseCursor::getDisplayIndependantPosition | ( | void |  | ) | const

| Return the current mouse cursor position as display resolution independant values. Returns: Point object describing the current mouse cursor position as resolution independant values that range from 0.0f to 1.0f, where 0.0f represents the left-most and top-most positions, and 1.0f represents the right-most and bottom-most positions.

const Image* CEGUI::MouseCursor::getImage | ( | void |  | ) | const`[inline]`

| Get the current mouse cursor image. Returns: The current image used to draw mouse cursor.

Point CEGUI::MouseCursor::getPosition | ( | void |  | ) | const`[inline]`

| Return the current mouse cursor position as a pixel offset from the top-left corner of the display. Returns: Point object describing the mouse cursor position in screen pixels.

MouseCursor & CEGUI::MouseCursor::getSingleton | ( | void |  | ) | `[static]`

| Return singleton MouseCursor object. Returns: Singleton MouseCursor object

MouseCursor * CEGUI::MouseCursor::getSingletonPtr | ( | void |  | ) | `[static]`

| Return pointer to singleton MouseCursor object. Returns: Pointer to singleton MouseCursor object

const URect & CEGUI::MouseCursor::getUnifiedConstraintArea | ( | void |  | ) | const

| return the current constraint area of the mouse cursor. Returns: URect object describing the active area that the mouse cursor is constrained to.

void CEGUI::MouseCursor::hide | ( | void |  | ) | `[inline]`

| Hides the mouse cursor. Returns: Nothing.

bool CEGUI::MouseCursor::isVisible | ( | void |  | ) | const`[inline]`

| return whether the mouse cursor is visible. Returns: true if the mouse cursor is visible, false if the mouse cursor is hidden.

void CEGUI::MouseCursor::offsetPosition | ( | const Point & | offset | ) |

  | Offset the mouse cursor position by the deltas specified in offset. Parameters:
  | offset | Point object which describes the amount to move the cursor in each axis.
Returns: Nothing.

void CEGUI::MouseCursor::setConstraintArea | ( | const Rect * | area | ) |

  | Set the area that the mouse cursor is constrained to. Parameters:
  | area | Pointer to a Rect object that describes the area of the display that the mouse is allowed to occupy. The given area will be clipped to the current Renderer screen area - it is never possible for the mouse to leave this area. If this parameter is NULL, the constraint is set to the size of the current Renderer screen area.
Returns: Nothing.

void CEGUI::MouseCursor::setImage | ( | const String & | imageset,
|  | const String & | image_name
| ) |

  | Set the current mouse cursor image. Parameters:
  | imageset | String object holding the name of the Imageset that contains the desired Image.
  | image_name | String object holding the name of the desired Image on Imageset imageset.
  Returns: Nothing. Exceptions:
  | UnknownObjectException | thrown if imageset is not known, or if imageset contains no Image named image_name.

void CEGUI::MouseCursor::setPosition | ( | const Point & | position | ) |

  | Set the current mouse cursor position. Parameters:
  | position | Point object describing the new location for the mouse. This will be clipped to within the renderer screen area.

void CEGUI::MouseCursor::setUnifiedConstraintArea | ( | const URect * | area | ) |

  | Set the area that the mouse cursor is constrained to. Parameters:
  | area | Pointer to a URect object that describes the area of the display that the mouse is allowed to occupy. The given area will be clipped to the current Renderer screen area - it is never possible for the mouse to leave this area. If this parameter is NULL, the constraint is set to the size of the current Renderer screen area.
Returns: Nothing.

void CEGUI::MouseCursor::show | ( | void |  | ) | `[inline]`

| Shows the mouse cursor. Returns: Nothing.